## python-whitenoise 5.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/WhiteNoise.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/WhiteNoise.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/WhiteNoise"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/WhiteNoise"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
alabaster==0.7.12
Babel==2.7.0
certifi==2019.11.28
chardet==3.0.4
docutils==0.15.2
idna==2.8
imagesize==1.1.0
Jinja2==2.10.3
MarkupSafe==1.1.1
packaging==19.2
Pygments==2.5.2
pyparsing==2.4.5
pytz==2019.3
requests==2.22.0
six==1.13.0
snowballstemmer==2.0.0
Sphinx==2.2.2
sphinx-rtd-theme==0.4.3
sphinxcontrib-applehelp==1.0.1
sphinxcontrib-devhelp==1.0.1
sphinxcontrib-htmlhelp==1.0.2
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.2
sphinxcontrib-serializinghtml==1.1.3
urllib3==1.25.7

## python-whitenoise 3.2.2

=== debian/changelog ===
python-whitenoise (3.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 07 Nov 2016 18:21:18 -0200

python-whitenoise (3.2.1-1) unstable; urgency=low

  * Initial release (Closes: #834866)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 23 Aug 2016 20:58:34 -0300

=== debian/control ===
Source: python-whitenoise
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python3-all,
               python-setuptools (>= 0.6b3),
               python3-setuptools (>= 0.6b3),
Standards-Version: 3.9.8
Homepage: http://whitenoise.evans.io
Vcs-Git: https://anonscm.debian.org/git/users/terceiro/python-whitenoise.git
Vcs-Browser: https://anonscm.debian.org/git/users/terceiro/python-whitenoise.git
X-Python-Version: >=2.7
X-Python3-Version: >=3.4

Package: python-whitenoise
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: static file serving for WSGI applications (Python 2)
 With a couple of lines of config, WhiteNoise allows your web app to serve its
 own static files, making it a self-contained unit that can be deployed
 anywhere without relying on nginx, Amazon S3 or any other external service.
 .
 This package contains the Python 2 version of the library.

Package: python3-whitenoise
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: static file serving for WSGI applications (Python 3)
 With a couple of lines of config, WhiteNoise allows your web app to serve its
 own static files, making it a self-contained unit that can be deployed
 anywhere without relying on nginx, Amazon S3 or any other external service.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=whitenoise

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -p python-whitenoise   docs/changelog.rst
	dh_installchangelogs -p python3-whitenoise  docs/changelog.rst

=== debian/watch ===
# please also check http://pypi.debian.net/whitenoise/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/whitenoise/whitenoise-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-whitenoise 3.3.1

=== debian/changelog ===
python-whitenoise (3.3.1-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/watch: Use https protocol.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Aug 2019 09:04:55 +0200

python-whitenoise (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.
  * Drop obsolete X-Python* fields.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 25 Aug 2019 12:50:37 +0500

python-whitenoise (3.3.1-1) unstable; urgency=medium

  * debian/watch: pull tarballs from github
  * New upstream version 3.3.1
  * Bump Standards-Version to 4.1.1; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 28 Nov 2017 14:14:10 -0200

=== debian/control ===
Source: python-whitenoise
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-django,
               python3-requests,
               python3-setuptools (>= 0.6b3),
Standards-Version: 4.4.0
Homepage: http://whitenoise.evans.io
Vcs-Git: https://salsa.debian.org/python-team/modules/python-whitenoise.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-whitenoise
Testsuite: autopkgtest-pkg-python

Package: python3-whitenoise
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: static file serving for WSGI applications (Python 3)
 With a couple of lines of config, WhiteNoise allows your web app to serve its
 own static files, making it a self-contained unit that can be deployed
 anywhere without relying on nginx, Amazon S3 or any other external service.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=whitenoise
export LC_ALL = C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -p python3-whitenoise  docs/changelog.rst

override_dh_auto_test:
	DJANGO_SETTINGS_MODULE=tests.django_settings python3 -m unittest discover

=== debian/tests/control ===
Test-Command: cp -r tests $AUTOPKGTEST_TMP/ && cd $AUTOPKGTEST_TMP && DJANGO_SETTINGS_MODULE=tests.django_settings python3 -m unittest discover
Depends: python3-whitenoise, python3-django, python3-requests
Restrictions: allow-stderr

=== debian/watch ===
# please also check https://pypi.debian.net/whitenoise/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://github.com/evansd/whitenoise/releases .*/v?(\d[\d\.]+)\.tar\.gz

## python-whitenoise 5.2.0

=== debian/changelog ===
python-whitenoise (5.2.0-1) unstable; urgency=medium

  [Ondřej Nový]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [Antonio Terceiro]
  * New upstream version 5.2.0
    - This looks like a big bump, but it's really not. The only breaking
      changes since 3.3 are dropping features that were already deprecated,
      and Python 2 support.
  * Add build dependency on python3-brotli
  * Run tests with pytest
  * debian/watch: update to version 4
  * Bump Standards-Version to 4.5.1.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 20 Jan 2021 16:51:39 -0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-whitenoise
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Section: python
 Priority: optional
@@ -9,10 +9,12 @@
                python3-django,
                python3-requests,
                python3-setuptools (>= 0.6b3),
-Standards-Version: 4.4.0
+               python3-brotli,
+               python3-pytest,
+Standards-Version: 4.5.1
 Homepage: http://whitenoise.evans.io
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-whitenoise.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-whitenoise
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-whitenoise.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-whitenoise
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-whitenoise

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -p python3-whitenoise  docs/changelog.rst
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	DJANGO_SETTINGS_MODULE=tests.django_settings python3 -m unittest discover
+	set -e; for python in $$(py3versions --requested 2>/dev/null); do \
+		DJANGO_SETTINGS_MODULE=tests.django_settings $$python -m pytest; \
+	done
+endif

=== debian/tests/control ===
Test-Command: cp -r tests $AUTOPKGTEST_TMP/ && cd $AUTOPKGTEST_TMP && DJANGO_SETTINGS_MODULE=tests.django_settings python3 -m pytest
Depends: python3-whitenoise, python3-django, python3-requests, python3-pytest, python3-brotli
Restrictions: allow-stderr
Features: test-name=testsuite

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://github.com/evansd/whitenoise/releases .*/v?(\d[\d\.]+)\.tar\.gz

## python-whitenoise 6.0.0

=== debian/changelog ===
python-whitenoise (6.0.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-setuptools.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 12:34:09 +0000

python-whitenoise (6.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jun 2022 09:10:43 +0100

python-whitenoise (6.0.0-1) unstable; urgency=medium

  * debian/watch: point at the github tags page
  * New upstream version 6.0.0
    - Drops support for older Python and Django versions, but otherwise there
      are no large changes
    - Tests pass againt requests 2.27 (Closes: #1008456)
  * debian/rules: drop custom test running commands
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 27 Mar 2022 11:18:47 -0300

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-django,
                python3-requests,
-               python3-setuptools (>= 0.6b3),
+               python3-setuptools,
                python3-brotli,
                python3-pytest,
-Standards-Version: 4.5.1
-Homepage: http://whitenoise.evans.io
+Standards-Version: 4.6.0
+Homepage: https://whitenoise.evans.io
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-whitenoise.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-whitenoise
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=whitenoise
export LC_ALL = C.UTF-8
export DJANGO_SETTINGS_MODULE=tests.django_settings
export http_proxy =

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -p python3-whitenoise  docs/changelog.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://github.com/evansd/whitenoise/tags .*/v?(\d[\d\.]+)\.tar\.gz

## python-whitenoise 6.6.0

=== docs/requirements.txt ===
furo!=2023.8.19
sphinx

=== debian/changelog ===
python-whitenoise (6.6.0-1) unstable; urgency=medium

  * New upstream version 6.6.0
  * Build with pybuild-plugin-pyproject
  * Bump Standars-Version to 4.6.2 (no changes needed)
  * Convert autopkgtest to pybuild-autopkgtest

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 06 Mar 2024 20:21:41 -0300

## python-whitenoise 6.7.0

=== debian/changelog ===
python-whitenoise (6.7.0-1) unstable; urgency=medium

  * New upstream version 6.7.0

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 23 Sep 2024 21:14:45 -0300

## python-whitenoise 6.8.2

=== docs/requirements.txt ===
furo
sphinx

=== debian/changelog ===
python-whitenoise (6.8.2-1) unstable; urgency=medium

  * New upstream version 6.8.2

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 02 Jan 2025 22:05:13 -0300

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-django,
                python3-requests,
                python3-setuptools,
                python3-brotli,
                python3-pytest,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://whitenoise.evans.io
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-whitenoise.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-whitenoise
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-whitenoise
 Architecture: all
